OpenGL-3.0.3.0: A binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2006-2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.GL.Shaders.ProgramBinaries

Description

This module corresponds to section 7.5 (Program Binaries) of the OpenGL 4.4 spec.

# Documentation

newtype ProgramBinaryFormat Source #

Constructors

ProgramBinaryFormat GLenum |

#### Instances

Instances details

Show ProgramBinaryFormat Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.Shaders.ProgramBinaries Methods showsPrec :: Int -> ProgramBinaryFormat -> ShowS Source # show :: ProgramBinaryFormat -> String Source # showList :: [ProgramBinaryFormat] -> ShowS Source #
Eq ProgramBinaryFormat Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.Shaders.ProgramBinaries Methods (==) :: ProgramBinaryFormat -> ProgramBinaryFormat -> Bool Source # (/=) :: ProgramBinaryFormat -> ProgramBinaryFormat -> Bool Source #
Ord ProgramBinaryFormat Source # |

Instance details

Defined in Graphics.Rendering.OpenGL.GL.Shaders.ProgramBinaries

Methods

compare :: ProgramBinaryFormat -> ProgramBinaryFormat -> Ordering Source #

(<) :: ProgramBinaryFormat -> ProgramBinaryFormat -> Bool Source #

(<=) :: ProgramBinaryFormat -> ProgramBinaryFormat -> Bool Source #

(>) :: ProgramBinaryFormat -> ProgramBinaryFormat -> Bool Source #

(>=) :: ProgramBinaryFormat -> ProgramBinaryFormat -> Bool Source #

max :: ProgramBinaryFormat -> ProgramBinaryFormat -> ProgramBinaryFormat Source #

min :: ProgramBinaryFormat -> ProgramBinaryFormat -> ProgramBinaryFormat Source #

programBinaryFormats :: GettableStateVar [ProgramBinaryFormat] Source #

data ProgramBinary Source #

Constructors

ProgramBinary ProgramBinaryFormat ByteString |

#### Instances

Instances details

Show ProgramBinary Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.Shaders.ProgramBinaries Methods showsPrec :: Int -> ProgramBinary -> ShowS Source # show :: ProgramBinary -> String Source # showList :: [ProgramBinary] -> ShowS Source #
Eq ProgramBinary Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.Shaders.ProgramBinaries Methods (==) :: ProgramBinary -> ProgramBinary -> Bool Source # (/=) :: ProgramBinary -> ProgramBinary -> Bool Source #
Ord ProgramBinary Source # |

Instance details

Defined in Graphics.Rendering.OpenGL.GL.Shaders.ProgramBinaries

Methods

compare :: ProgramBinary -> ProgramBinary -> Ordering Source #

(<) :: ProgramBinary -> ProgramBinary -> Bool Source #

(<=) :: ProgramBinary -> ProgramBinary -> Bool Source #

(>) :: ProgramBinary -> ProgramBinary -> Bool Source #

(>=) :: ProgramBinary -> ProgramBinary -> Bool Source #

max :: ProgramBinary -> ProgramBinary -> ProgramBinary Source #

min :: ProgramBinary -> ProgramBinary -> ProgramBinary Source #

programBinary :: Program -> StateVar ProgramBinary Source #